package emps.comparable;

import java.util.List;

public class Sortowanie_Stream {
	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		
		emps.stream()
				.sorted()
				.forEachOrdered(emp -> System.out.printf("%s %s (%s) zarabia %.2f\n",
						emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary()));
		
	}
}